A SERVER user may update any profile. A COMPANY user on an internal client app may update their own profile's name, address, contact and time_zone fields. The license and account-state fields max_user, max_page, is_trial, is_active and support_hours are SERVER only.
PUT
/profiles/{profile_id}
curl \
--request PUT 'https://api.iformbuilder.com/exzact/api/v81/[servername]/profiles/self' \
--header "Content-Type: application/json" \
--header "Authorization: Bearer {access_token}" \
--data '{
"address1": "13665 Dulles Technology Dr., Suite 110",
"address2": "",
"city": "Herndon",
"zip": "20171",
"state": "VA",
"country": "USA",
"phone": "1-866-ZERION-1"
}'
Request example
{
"address1": "13665 Dulles Technology Dr., Suite 110",
"address2": "",
"city": "Herndon",
"zip": "20171",
"state": "VA",
"country": "USA",
"phone": "1-866-ZERION-1"
}
Response examples (200)
{
"id": 161521
}
Response examples (403)
{
"error_message": "string"
}